export default {
  global: {
    hello: 'Olá, mundo!',
    routes: {
      Dashboard: 'Dashboard',
      DashboardWithPeriod: '{period} / Dashboard',
      Incomes: 'Receitas',
      IncomesWithPeriod: '{period} / Receitas',
      Expenses: 'Despesas',
      ExpensesWithPeriod: '{period} / Despesas',
      Settings: 'Configurações',
      Periods: 'Períodos',
      Categories: 'Categorias',
      PaymentMethods: 'Vias de pagamento',
      PaymentRecurrences: 'Recorrências',
      PaymentStatuses: 'Status',
      Administration: 'Administração',
      Error: 'Página não encontrada',
    },
    validations: {
      required: 'Preenchimento obrigatório.',
      minLength: 'Informe no mínimo {n} caracteres.',
      maxLength: 'Informe no máximo {n} caracteres.',
      minDate: 'A data deve ser igual ou maior que {date}.',
      email: 'Email inválido.',
      emailUnavailable: 'Email já cadastrado. Por favor, escolha outro.',
      sameAs: 'As senhas não conferem.',
      decimal: 'Valor inválido.',
      maxDecimalLength: 'O valor deve ter no máximo {n} dígitos inteiros.',
      maxDecimalPrecisionLength: 'O valor deve ter no máxima {n} casas decimais.',
      integer: 'Informe apenas números inteiros.',
      minValue: 'O valor mínimo permitido é {n}.',
      maxValue: 'O valor máximo permitido é {n}.',
      equal: 'O valor informado não correspondente a {n}.',
    },
    messages: {
      logoutWarning: 'Você foi desautenticado por inatividade. Por favor, refaça o login. :)',
      noPeriodSelected: 'NENHUM PERÍODO SELECIONADO',
    },
    crudDataTable: {
      action: {
        searchByTitlePlaceholder: 'Procurar por título',
      },
      header: {
        title: 'Título',
        color: 'Cor',
        count: 'Contagem',
        startDate: 'Data inicial',
        endDate: 'Data final',
        isDefault: 'Padrão',
        isToDisplay: 'Listar',
        amountsSum: 'R$ Total',
        createdAt: 'Criado em',
        updatedAt: 'Atualizado em',
        delete: 'Excluir',
        actions: 'Ações',
        manageAmounts: 'Gerenciar R$',
        viewAmounts: 'Visualizar R$',
        referenceMonth: 'Mês de referência',
        amount: 'Valor R$',
        paymentConfirmed: 'Pagamento confirmado',
        dueDate: 'Data de vencimento',
        receivedAt: 'Recebido em',
        category: 'Categoria',
        paymentRecurrence: 'Recorrência',
        purchaseDate: 'Data da compra',
        paymentStatus: 'Status',
        paymentMethod: 'Via de pagamento',
        companyNickname: 'Empresa',
        description: 'Descrição',
        numberOfInstallments: 'nº Parcelas',
        installmentAmount: 'R$ Parcela',
        paidOutAt: 'Pago em',
      },
      body: {
        countText: 'Utilizado {n} vezes',
      },
    },
  },
}
